package myuml;

import com.borland.jbcl.layout.*;
import java.awt.Graphics2D;
import java.awt.Graphics;
import java.io.Serializable;

/**
 * <p>Title: Generación de Coreografías de Servicios Web</p>
 *
 * <p>Description:Clase que gestiona el dibujado de las líneas asociadas a los
 * actores y a los 'lifeline' que intervienen en el diagrama de secuencia</p>
 *
 * <p>Copyright: Copyright (c) 2007</p>
 *
 * <p>Company: UCLM</p>
 *
 * @version 1.0
 */
public class MyLine extends MyObjects implements Serializable{

    /**
     * Crea una línea nueva
     *
     * @param c coordenadas de la línea
     */
    public MyLine(XYConstraints c) {
        super(c);
    }

    /**
    * Método que dibuja las líneas verticales que salen del actor y de los
    * objetos
    *
    * @param g parámetro que contiene los métodos necesarios para dibujar las
    * líneas de los actores y los 'lifeline'
    */
    public void paint(Graphics g){
        Graphics2D g2 = (Graphics2D) g;

        g.setColor(col);

        for(int i=xyc.getY(); i<xyc.getHeight()-6; i+=10)
            g.drawLine(xyc.getX(),i,xyc.getX(),i+5);
    }
}
